%module gm

%include typemaps.i

%{
#include "cbind.h"
#include "arrayobject.h"
%}


%typemap(python,arginit) const float *ARRAY (long na[10]) {
    import_array();
    na[0] = 0;
}


%typemap(python,in) const float *ARRAY {
   PyArrayObject *array;
   PyArrayObject *o;
   PyArrayObject *a;
   na[0] += 1;
   o = (PyArrayObject *) $source;
   a = (PyArrayObject *)
       PyArray_ContiguousFromObject( $source, o->descr->type, 0, 0);
   array= (PyArrayObject *) PyArray_Cast( a, 'f');
   $target = (float *) ( array->data);
   na[na[0]] = (long ) array;
   Py_DECREF(a);
}

%typemap(python,argout) const float *ARRAY {
   int j;
   PyArrayObject *a;
   if (na[0] > 0) {
     for (j=1;j<=na[0];j++) {
       a = (PyArrayObject *) na[j];
       Py_DECREF(a);
     }
   }
   na[0] = 0;
}



void cgmcode(int ns, float *ARRAY, float *ARRAY,
float *ARRAY, float *ARRAY, float *ARRAY, float td,  float ysize,
const char *title,const char *output1,const char *output2);

