
import os,sys
from distutils.core import setup, Extension
from distutils.sysconfig import get_python_inc
import numpy

numdir = os.path.dirname(numpy.__file__)+"/core/include/numpy"


setup(name="gmcode",version="5.2",
        description="Python Interface to the C bindings of Stetson's ApPhot",
        author="Daniel D. Kelson",
        author_email="kelson@ociw.edu",
        url="http://www.ociw.edu/~kelson",
        extra_path="gmcode",
        ext_modules=[Extension("gmmodule",
                ["gm_wrap.c"],
                include_dirs=[numdir],
                library_dirs=["./",sys.prefix+"/lib"],
                libraries=["gmcode","m","gfortran"],
                        )])

